Bug 183690 - x11-wm/xfce4: XFCE4 Tango icon theme is incomplete or not all-sufficient
Summary: x11-wm/xfce4: XFCE4 Tango icon theme is incomplete or not all-sufficient
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-05 18:10 UTC by Rostislav Krasny
Modified: 2015-01-03 18:04 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rostislav Krasny 2013-11-05 18:10:00 UTC
The XFCE4 Tango icon theme is incomplete or not all-sufficient. Some icons in the Application Menu are missing. For example:

1. Run Program... (the Application Finder)
2. Setting | Keyboard
3. Multimedia | Audio Mixer

Also see my correspondence with Olivier Duchateau on the freebsd-xfce mailing list. The "Some icons in the Application Menu are missed" thread:

http://lists.freebsd.org/pipermail/freebsd-xfce/2013-November/thread.html#801a

Fix: 

The right fix should probably be done by the upstream developers. But until then add following packages to the dependencies list of the Tango icon theme:

1. gnome-icon-theme
2. gnome-icon-theme-extras

This will also add the Gnome icon theme. It will not hurt and will take only 10MB on the disk. It's better to have two complete icon themes than one incomplete.
How-To-Repeat: Install following packages into a virgin Xorg only system:

1. xfce4 meta package
2. xfce4-xkb-plugin
3. xfce4-mixer

And check the appropriate Application Menu icons.
Comment 1 Edwin Groothuis freebsd_committer 2013-11-06 04:19:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-xfce

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Olivier Duchateau 2013-11-09 19:17:23 UTC
This issue won't be fixed by upstream, because they leave choice to users.

Tango icons theme was chosen by us, because Rodent (default icons theme) was abandonned since 4.4 release. At the time, Tango was sufficient.

Currently I'm working on next stable of Parole (Xfce's multimedia player) and main developers use symbolic icons. I asked to replace some icons from other, because Tango and GNOME don't have.
So GNOME in future will not necessarily be right choice.



-- 
olivier
Comment 3 commit-hook freebsd_committer 2015-01-03 17:24:19 UTC
A commit references this bug:

Author: olivierd
Date: Sat Jan  3 17:24:10 UTC 2015
New revision: 376142
URL: https://svnweb.freebsd.org/changeset/ports/376142

Log:
  - GNOME is default icons theme [1]
  - Sort OPTIONS_*
  - Rewrite description for applications
  - Replace x11/gdm by x11/slim
  Gdm requires x11/gnome-shell and others GNOME components. Some environments
  variables are also missing in xfce4-session
  - Bump PORTREVISION

  PR:		183690 [1]
  Requested by:	Rostislav Krasny

Changes:
  head/x11-wm/xfce4/Makefile
  head/x11-wm/xfce4/files/
Comment 4 commit-hook freebsd_committer 2015-01-03 17:48:22 UTC
A commit references this bug:

Author: olivierd
Date: Sat Jan  3 17:47:52 UTC 2015
New revision: 376144
URL: https://svnweb.freebsd.org/changeset/ports/376144

Log:
  - Gnome is default icons theme [1], not switched to Adwaita because Thunar and
  some Xfce's specific widgets still use stock icons (deprecated since GTK3 3.10,
  and not available in x11-themes/adwaita-icon-theme)
  - Bump PORTREVISION

  PR:		183690 [1]
  Requested by:	Rostislav Krasny

Changes:
  head/mail/xfce4-mailwatch-plugin/Makefile
  head/misc/xfce4-appfinder/Makefile
  head/sysutils/xfce4-settings/Makefile
  head/x11/libexo/Makefile
  head/x11-wm/xfce4-panel/Makefile
  head/x11-wm/xfce4-panel/files/patch-plugins_actions_actions.c
Comment 5 commit-hook freebsd_committer 2015-01-03 17:58:24 UTC
A commit references this bug:

Author: olivierd
Date: Sat Jan  3 17:57:57 UTC 2015
New revision: 376146
URL: https://svnweb.freebsd.org/changeset/ports/376146

Log:
  - Gnome is default icons theme [1]
  Not switched to Adwaita, because Thunar and some Xfce's widgets still use
  stock item (deprecated since GTK 3.10, and not available in
  x11-themes/adwaita-icon-theme)
  - Add support of GTK3 bookmarks files [2]
  - Bump PORTREVISION

  PR:		183690 [1]
  Requested by:	Rostislav Krasny
  Obtained from:	Xfce upstream repository [2]

Changes:
  head/x11-fm/thunar/Makefile
  head/x11-fm/thunar/files/patch-thunar__thunar-gio-extensions.c
  head/x11-fm/thunar/files/patch-thunar__thunar-shortcuts-model.c
  head/x11-fm/thunar/files/patch-thunar__thunar-util.c
Comment 6 Olivier Duchateau freebsd_committer 2015-01-03 18:04:18 UTC
Committed!